{
    "files.associations": {
		"*.cl": "c",
		"cstdint": "cpp",
		"array": "cpp",
		"atomic": "cpp",
		"bit": "cpp",
		"*.tcc": "cpp",
		"cctype": "cpp",
		"charconv": "cpp",
		"chrono": "cpp",
		"clocale": "cpp",
		"cmath": "cpp",
		"compare": "cpp",
		"concepts": "cpp",
		"condition_variable": "cpp",
		"cstdarg": "cpp",
		"cstddef": "cpp",
		"cstdio": "cpp",
		"cstdlib": "cpp",
		"ctime": "cpp",
		"cwchar": "cpp",
		"cwctype": "cpp",
		"deque": "cpp",
		"map": "cpp",
		"set": "cpp",
		"string": "cpp",
		"unordered_map": "cpp",
		"vector": "cpp",
		"exception": "cpp",
		"algorithm": "cpp",
		"functional": "cpp",
		"iterator": "cpp",
		"memory": "cpp",
		"memory_resource": "cpp",
		"numeric": "cpp",
		"optional": "cpp",
		"random": "cpp",
		"ratio": "cpp",
		"string_view": "cpp",
		"system_error": "cpp",
		"tuple": "cpp",
		"type_traits": "cpp",
		"utility": "cpp",
		"format": "cpp",
		"fstream": "cpp",
		"initializer_list": "cpp",
		"iomanip": "cpp",
		"iosfwd": "cpp",
		"iostream": "cpp",
		"istream": "cpp",
		"limits": "cpp",
		"mutex": "cpp",
		"new": "cpp",
		"numbers": "cpp",
		"ostream": "cpp",
		"semaphore": "cpp",
		"span": "cpp",
		"sstream": "cpp",
		"stdexcept": "cpp",
		"stop_token": "cpp",
		"streambuf": "cpp",
		"thread": "cpp",
		"typeinfo": "cpp",
		"variant": "cpp",
		"cstring": "cpp",
		"cinttypes": "cpp",
		"any": "cpp",
		"codecvt": "cpp",
		"complex": "cpp",
		"coroutine": "cpp",
		"csignal": "cpp",
		"list": "cpp",
		"source_location": "cpp",
		"future": "cpp",
		"shared_mutex": "cpp",
		"typeindex": "cpp",
		"bitset": "cpp",
		"*.ipp": "cpp",
		"unordered_set": "cpp",
		"forward_list": "cpp",
		"barrier": "cpp",
		"strstream": "cpp",
		"regex": "cpp",
		"stacktrace": "cpp",
		"stdfloat": "cpp",
		"cfenv": "cpp",
		"expected": "cpp",
		"valarray": "cpp",
		"core": "cpp",
		"nonlinearoptimization": "cpp",
		"*.txx": "cpp"
	},
    "editor.rulers": [80, 120],
    "editor.tabSize": 4,
    "editor.insertSpaces": false,
    "editor.detectIndentation": false,
    "editor.inlayHints.enabled": "off",
    "C_Cpp.default.browse.limitSymbolsToIncludedHeaders": true,
    "C_Cpp.default.browse.path": [
        "${workspaceFolder}",
        "${workspaceFolder}/b"
    ],
    "C_Cpp.default.includePath": [
        "${workspaceFolder}/include",
        "${workspaceFolder}/smocore/include",
        "${workspaceFolder}/b/include",
        "/usr/include",
        "/usr/local/include"
    ]
}